Bug 484436 - ppc64 builds of the Eclipse rpms are missing from Fedora 10
ppc64 builds of the Eclipse rpms are missing from Fedora 10
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
10
ppc64 Linux
low Severity high
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-06 14:26 EST by Corey Ashford
Modified: 2009-12-18 02:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:50:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Ashford 2009-02-06 14:26:42 EST
Description of problem:

According to this web page: http://koji.fedoraproject.org/koji/buildinfo?buildID=67270
a ppc64 version of Eclipse should be included in Fedora 10.

However, on a test install of Fedora 10 on a ppc64 machine, I find only the 32-bit build of Eclipse in the repository.

Version-Release number of selected component (if applicable):
3.4.1-5

How reproducible:
Very easy to reproduce.
Steps to Reproduce:
1.  Install Fedora 10 on a ppc64 machine
2. do a "yum list | grep eclipse" and look at the available packages and notice that the ppc64 rpms are missing.
3.
  
Actual results:


Expected results:


Additional info:

I am attempting to test 64-bit Eclipse on Fedora 10 for ppc64 using Andrew Overholt's testing SRPM.
Comment 1 Andrew Overholt 2009-02-06 14:28:27 EST
Filing this against Eclipse isn't really going to help get release engineering's attention :)
Comment 2 Andrew Overholt 2009-02-06 14:31:44 EST
Evidently Fedora release engineering uses trac [1].  I opened a ticket:

https://fedorahosted.org/rel-eng/ticket/1273

[1]
http://fedoraproject.org/wiki/ReleaseEngineering
Comment 3 Corey Ashford 2009-02-06 14:49:18 EST
Thanks for the re-direct.  I will file a rel-eng ticket like you did next time I run into this sort of problem.
Comment 4 Josh Boyer 2009-02-06 21:12:59 EST
(In reply to comment #0)
> Description of problem:
> 
> According to this web page:
> http://koji.fedoraproject.org/koji/buildinfo?buildID=67270
> a ppc64 version of Eclipse should be included in Fedora 10.
> 

It should be noted that a koji build existing does not mean that it should be in a repo.  As the rel-eng ticket says, the primary arch for PowerPC userspace is ppc32.  There are a handful of ppc64 packages that are added to the repo (such as glibc and the kernel), but it is mostly 32-bit.

Koji builds can be used if people so choose.
Comment 5 Bug Zapper 2009-11-18 04:48:55 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 02:50:07 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.